package com.fs.live.service;

import java.util.List;

import com.fs.live.domain.LiveOrderPayment;
import com.fs.live.vo.LiveOrderPaymentVo;

/**
 * 支付明细Service接口
 *
 * @author fs
 * @date 2025-08-07
 */
public interface ILiveOrderPaymentService {
    /**
     * 查询支付明细
     *
     * @param paymentId 支付明细主键
     * @return 支付明细
     */
    LiveOrderPayment selectLiveOrderPaymentByPaymentId(Long paymentId);

    /**
     * 查询支付明细列表
     *
     * @param liveOrderPayment 支付明细
     * @return 支付明细集合
     */
    List<LiveOrderPayment> selectLiveOrderPaymentList(LiveOrderPayment liveOrderPayment);

    /**
     * 新增支付明细
     *
     * @param liveOrderPayment 支付明细
     * @return 结果
     */
    int insertLiveOrderPayment(LiveOrderPayment liveOrderPayment);

    /**
     * 修改支付明细
     *
     * @param liveOrderPayment 支付明细
     * @return 结果
     */
    int updateLiveOrderPayment(LiveOrderPayment liveOrderPayment);

    /**
     * 批量删除支付明细
     *
     * @param paymentIds 需要删除的支付明细主键集合
     * @return 结果
     */
    int deleteLiveOrderPaymentByPaymentIds(Long[] paymentIds);

    /**
     * 删除支付明细信息
     *
     * @param paymentId 支付明细主键
     * @return 结果
     */
    int deleteLiveOrderPaymentByPaymentId(Long paymentId);

    List<LiveOrderPaymentVo> selectLiveOrderPaymentVoList(LiveOrderPaymentVo liveOrderPayment);

    LiveOrderPaymentVo selectLiveOrderPaymentByPaymentIdNew(Long paymentId);

    List<LiveOrderPayment> selectLiveOrderPaymentByOrderId(Long id);
}
